LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XServiceName Interface Referencepublished

identifies the object with a service name which can be used to create such an object by a factory. More...

`import"XServiceName.idl";`

Inheritance diagram for XServiceName:

## Public Member Functions
string | getServiceName ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

identifies the object with a service name which can be used to create such an object by a factory.

## Member Function Documentation

## ◆ getServiceName()

string getServiceName | ( |  | ) |

Returns
  the service name that can be used to create such an object by a factory.

See also
  com::sun::star::io::XPersistObject::getServiceName

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XServiceName.idl